geos::operation::polygonize::BuildArea Class Reference

Creates an areal geometry formed by the constituent linework of given geometry. More...

`#include <BuildArea.h>`

## Public Member Functions

| BuildArea ()=default
| Create a BuildArea object.
std::unique_ptr< geom::Geometry > | build (const geom::Geometry *geom)
| Return the area built from the constituent linework of the input geometry.

## Detailed Description

Creates an areal geometry formed by the constituent linework of given geometry.

The return type can be a Polygon or MultiPolygon, depending on input. If the input lineworks do not form polygons NULL is returned. The inputs can be LINESTRINGS, MULTILINESTRINGS, POLYGONS, MULTIPOLYGONS, and GeometryCollections.

This algorithm will assume all inner geometries represent holes

This is the equivalent of the PostGIS ST_BuildArea() function.

The documentation for this class was generated from the following file:

- BuildArea.h